Loading...
Searching...
No Matches
casacore::NullLogSink Class Reference
casa package (libcasa_casa) » Logging_module » Logging_module_internal_classes

More...

`#include <NullLogSink.h>`

## Public Member Functions

| NullLogSink ()
| NullLogSink (LogMessage::Priority filter)
| NullLogSink (const LogFilterInterface &filter)
| NullLogSink (const NullLogSink &other)
NullLogSink & | operator= (const NullLogSink &other)
| ~NullLogSink ()
virtual Bool | postLocally (const LogMessage &message)
| Always throws the message away, but it does return True or False depending on whether or not message passes the filter.
String | id () const
| Returns the id of the LogSink in use...
Public Member Functions inherited from casacore::LogSinkInterface
| LogSinkInterface ()
| Create with a NORMAL filter.
| LogSinkInterface (const LogFilterInterface &filter)
| Create with the supplied filter.
| LogSinkInterface (const LogSinkInterface &other)
| Copy semantics - copy the filter from other to this.
LogSinkInterface & | operator= (const LogSinkInterface &)
virtual | ~LogSinkInterface ()
virtual const LogFilterInterface & | filter () const
| Get/set the filter.
virtual LogSinkInterface & | filter (const LogFilterInterface &filter)
virtual uInt | nelements () const
| Get number of messages in sink.
virtual Double | getTime (uInt i) const
| Get given part of the i-th message from the sink.
virtual String | getPriority (uInt i) const
virtual String | getMessage (uInt i) const
virtual String | getLocation (uInt i) const
virtual String | getObjectID (uInt i) const
virtual void | flush (Bool global=True)
| Write any pending output.
virtual void | writeLocally (Double time, const String &message, const String &priority, const String &location, const String &objectID)
| Write a message (usually from another logsink) into the local one.
virtual void | clearLocally ()
| Clear the local sink (i.e.
virtual void | cerrToo (bool cerr2)
| Write to cerr too.
void | setTaskName (const String &theTask)

## Static Public Member Functions

static String | localId ()
| Returns the id for this class...
Static Public Member Functions inherited from casacore::LogSinkInterface
static String | localId ()
| Returns the id for this class...

## Additional Inherited Members

Protected Attributes inherited from casacore::LogSinkInterface
String | taskName

## Detailed Description

Throw away all messages.

### Intended use:

Internal

### Review Status

Reviewed By:
  wbrouw
Date Reviewed:
  1996/08/21
Test programs:
  tLogging
Demo programs:
  dLogging

### Prerequisite

- LogSinkInterface

### Etymology

Null as in "empty" or "/dev/null".

### Synopsis

NullLogSink is a trivial LogSinkInterface which merely throws away all its messages. It is not intended to be used directly, rather it should be used through LogSink.

### Example

See (see (file="Logging.h"))Logging.h.

### Motivation

For testing, or to prevent multiply logging (local and global) to cerr (say).

### To Do

- Nothing known.

Definition at line 71 of file NullLogSink.h.

## Constructor & Destructor Documentation

## NullLogSink() [1/4]

casacore::NullLogSink::NullLogSink | ( |  | ) |

Referenced by NullLogSink(), and operator=().

## NullLogSink() [2/4]

casacore::NullLogSink::NullLogSink | ( | LogMessage::Priority | filter | ) |

explicit

References casacore::LogSinkInterface::filter().

## NullLogSink() [3/4]

casacore::NullLogSink::NullLogSink | ( | const LogFilterInterface & | filter | ) |

explicit

References casacore::LogSinkInterface::filter().

## NullLogSink() [4/4]

casacore::NullLogSink::NullLogSink | ( | const NullLogSink & | other | ) |

References NullLogSink().

## ~NullLogSink()

casacore::NullLogSink::~NullLogSink | ( |  | ) |

## Member Function Documentation

## id()

String casacore::NullLogSink::id | ( |  | ) | const

virtual

Returns the id of the LogSink in use...

Implements casacore::LogSinkInterface.

## localId()

String casacore::NullLogSink::localId | ( |  | ) |

static

Returns the id for this class...

## operator=()

NullLogSink & casacore::NullLogSink::operator= | ( | const NullLogSink & | other | ) |

References NullLogSink().

## postLocally()

virtual Bool casacore::NullLogSink::postLocally | ( | const LogMessage & | message | ) |

virtual

Always throws the message away, but it does return True or False depending on whether or not message passes the filter.

Implements casacore::LogSinkInterface.

The documentation for this class was generated from the following file:

- casa/Logging/NullLogSink.h